import QdmTitle from './components/QdmTitle'
import QdmBox from './components/QdmBox'
import QdmInfo from './components/QdmInfo'
import QdmButton from './components/QdmButton'
import QdmTable from './components/QdmTable'
import QdmAside from './components/QdmAside'
import QdmInput from './components/QdmInput'
import QdmSelect from './components/QdmSelect'
import QdmCol from './components/QdmCol'
import QdmPage from './components/QdmPage'
import QdmDialog from './components/QdmDialog'
import QdmUpload from './components/QdmUpload'
import QdmRadio from './components/QdmRadio'
import QdmSearch from './components/QdmSearch'
import QdmPicke from './components/QdmPicke'
import QdmBread from './components/QdmBread'
import QdmTree from './components/QdmTree'
import QdmScope from './components/QdmScope'
import QdmCascader from './components/QdmCascader'
import QdmLinkage from './components/QdmLinkage'
import QdmTransfer from './components/QdmTransfer'
import QdmEditor from './components/QdmEditor'
const components = [
	QdmTitle,
  QdmBox,
  QdmInfo,
  QdmButton,
  QdmTable,
  QdmAside,
  QdmInput,
  QdmSelect,
  QdmCol,
  QdmPage,
  QdmDialog,
  QdmUpload,
  QdmRadio,
  QdmSearch,
  QdmPicke,
  QdmBread,
  QdmTree,
  QdmScope,
  QdmCascader,
  QdmLinkage,
  QdmTransfer,
  QdmEditor
]
const install = function (Vue) {
  if (install.installed) return
  components.forEach(component => {
      Vue.component(component.name, component)
  })
  if (typeof window != 'undefined' && window.Vue) {
      install(window.Vue)
  }
}

export default {  
  install,
  QdmTitle,
  QdmBox,
  QdmInfo,
  QdmButton,
  QdmTable,
  QdmAside,
  QdmInput,
  QdmSelect,
  QdmCol,
  QdmPage,
  QdmDialog,
  QdmUpload,
  QdmRadio,
  QdmSearch,
  QdmPicke,
  QdmBread,
  QdmTree,
  QdmScope,
  QdmCascader,
  QdmLinkage,
  QdmTransfer,
  QdmEditor
}